ScriptQueueThread
Date: 2019-10-22

org.jmol.script

## Class ScriptQueueThread

- java.lang.Object
- - java.lang.Thread
  - - org.jmol.thread.JmolThread
    - - org.jmol.script.ScriptQueueThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class ScriptQueueThread
      extends JmolThread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `pt`
    `private ScriptManager` | `scriptManager`
    `private boolean` | `startedByCommandThread`

    - ### Fields inherited from class org.jmol.thread.JmolThread

      `CHECK1, CHECK2, CHECK3, currentTime, eval, FINISH, haveReference, hoverEnabled, INIT, isJS, isReset, lastRepaintTime, MAIN, name, sc, sleepTime, startTime, stopped, targetTime, useTimeout, vwr`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptQueueThread(ScriptManager scriptManager, Viewer vwr, boolean startedByCommandThread, int pt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `run1(int mode)`
    `private boolean` | `runNextScript()`

    - ### Methods inherited from class org.jmol.thread.JmolThread

      `checkInterrupted, interrupt, oops, reset, resumeEval, run, runSleep, setEval, setManager, setViewer, start`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### scriptManager

          private ScriptManager scriptManager

    - #### startedByCommandThread

          private boolean startedByCommandThread

    - #### pt

          private int pt

  - ### Constructor Detail

    - #### ScriptQueueThread

          public ScriptQueueThread(ScriptManager scriptManager,
                                   Viewer vwr,
                                   boolean startedByCommandThread,
                                   int pt)

      Parameters:
        `scriptManager` -
        `vwr` -
        `startedByCommandThread` -
        `pt` -

  - ### Method Detail

    - #### run1

          protected void run1(int mode)
                       throws java.lang.InterruptedException

      Specified by:
        `run1` in class `JmolThread`
      Throws:
        `java.lang.InterruptedException`

    - #### runNextScript

          private boolean runNextScript()